#!/bin/sh

LINUXDIR=/usr/src/linux
DEVREGBUILDOK=~/.devreg-build-ok

if [ \! -f $LINUXDIR/include/linux/kernel.h ] ; then 
	echo "Cannot find linux in $LINUXDIR"
	exit 1
fi

if [ \! -f linux/include/linux/devreg.h ] ; then 
	echo "Devreg not in current dir"
	exit 1
fi

if [ \! -f $DEVREGBUILDOK ] ; then
	echo "This is the first time that you run copy.sh or compile.sh."
        echo "Note that it will overwrite sources in your $LINUXDIR."
	echo "If this is not ok, please cancel (CTRL-C) it now,"
	echo "otherwise hit enter to start compilation."
	read
	touch $DEVREGBUILDOK
fi

cd linux

FILES=`find . -name "*.c" -o -name "*.h" -o -name "Makefile" -o -name "*.help" -o -name "*.txt" -o -name "Config.in"`

cp -p --parents $FILES $LINUXDIR



