#!/bin/sh

DEVREGCOPYBACK=~/.devreg-copyback-ok
LINUXDIR=/usr/src/linux
cd `dirname $0`
BDIR=$PWD

if [ \! -f $LINUXDIR/include/linux/kernel.h ] ; then 
	echo "Cannot find linux in $LINUXDIR"
	exit 1
fi

if [ \! -f linux/include/linux/devreg.h ] ; then 
	echo "Devreg not in current dir"
	exit 1
fi

if [ \! -f $DEVREGCOPYBACK ] ; then
	echo "This is the first time that you run copyback.sh."
        echo "It will copy all relevant sources from your linux"
	echo "directory ($LINUXDIR) to this devreg copy, overwriting"
	echo "all changes that are not in the linux dir yet!"
	echo "It is intended to sync devreg after you applied a "
	echo "patch on your linux version (for example for upgrading"
	echo "to a new version)."
	echo "If this is not ok, please cancel (CTRL-C) it now,"
	echo "otherwise hit enter to start."
	read
	touch $DEVREGCOPYBACK
fi

cd linux
FILES=`find . -name "*.c" -o -name "*.h" -o -name "Makefile" -o -name "*.help" -o -name "*.txt"`

cd $LINUXDIR

cp -p --parents $FILES $BDIR/linux

