#!/bin/sh

LINUXDIR=/usr/src/linux
DEVREGBUILDOK=~/.devreg-build-ok

if [ \! -f $LINUXDIR/include/linux/kernel.h ] ; then 
	echo "Cannot find linux in $LINUXDIR"
	exit 1
fi

if [ \! -f linux/include/linux/devreg.h ] ; then 
	echo "Devreg not in current dir"
	exit 1
fi

if [ \! -f $DEVREGBUILDOK ] ; then
	echo "This is the first time that you run copy.sh, copyproc.sh or "
        echo "compile.sh."
        echo "Note that it will overwrite sources in your $LINUXDIR."
	echo "If this is not ok, please cancel (CTRL-C) it now,"
	echo "otherwise hit enter to start compilation."
	read
	touch $DEVREGBUILDOK
fi

cd linux

PROCFILES=`find fs/proc -name "*.c" -o -name "*.h" -o -name "Makefile"`
INCLUDEFILES="include/linux/fs.h include/linux/proc_fs.h"
INCLUDEFILES="$INCLUDEFILES include/linux/proc_fs_i.h"

cp -p --parents $PROCFILES $INCLUDEFILES $LINUXDIR
